Get edge volume instance (GET /v1/volumes/instances/name/{name})
GET /api/v1/volumes/instances/name/. Storage API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
Response
A successful response.
System defined universally unique Id of the volume instance.
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}User defined name of the volume instance, unique across the enterprise. Once object is created, name can’t be changed.
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the volume instance. Title can be changed at any time.
3 - 256[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+Detailed description of the volume instance.
256system defined Revision info of the object
id of the project in which the volume instance is created
type of Volume Instance
VOLUME_INSTANCE_TYPE_UNSPECIFIED, VOLUME_INSTANCE_TYPE_EMPTYDIR, VOLUME_INSTANCE_TYPE_BLOCKSTORAGE, VOLUME_INSTANCE_TYPE_HOSTFS, VOLUME_INSTANCE_TYPE_TMPFS, VOLUME_INSTANCE_TYPE_SECRET, VOLUME_INSTANCE_TYPE_NFS, VOLUME_INSTANCE_TYPE_AWS_BLOCK_STORAGE, VOLUME_INSTANCE_TYPE_CONTENT_TREE id of the device on which volume instance is created
flag to enable the volume to be attached to multiple app instances
flag to keep the contents of the volume unencrypted (in clear text)
Access mode
VOLUME_INSTANCE_ACCESS_MODE_INVALID, VOLUME_INSTANCE_ACCESS_MODE_READWRITE, VOLUME_INSTANCE_ACCESS_MODE_READONLY, VOLUME_INSTANCE_ACCESS_MODE_MULTIREAD_SINGLEWRITE size of volume
name of the image
flag to create implicit volumes
content tree ID
label
Purge Counter information
Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
flag to indicate whether volume instance is created for patch envelope external artifact
edge node cluster associated with the volume instance
Source definition conflict: this property declares type "string", while the referenced definition declares "object". The referenced schema is shown; the conflicting declaration needs correction in ZEDEDA's Swagger definition.